This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 613529 - spice doesn't build on PPC
spice doesn't build on PPC
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
: 811030 (view as bug list)
Depends On:
Blocks: 855301
  Show dependency treegraph
 
Reported: 2010-07-12 03:28 EDT by Gerd Hoffmann
Modified: 2015-02-17 08:17 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:17:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to configure.ac (469 bytes, patch)
2012-09-07 09:00 EDT, Peter Robinson
no flags Details | Diff
Patch for spec (1.88 KB, patch)
2012-09-07 09:01 EDT, Peter Robinson
no flags Details | Diff

  None (edit)
Description Gerd Hoffmann 2010-07-12 03:28:57 EDT
spice has a number of portability issues which prevent it from working on !x86 architectures:

 * x86 inline assembler.
 * little endian assumtions all over the place.

Additionally for the spice server:

 * assumes some 64bit arithmetic ops are atomic.
Comment 1 Gerd Hoffmann 2010-07-13 09:06:24 EDT
Assign to spice now that the package is created and exists as bugzilla component.
Comment 2 Bug Zapper 2010-07-30 08:31:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Peter Robinson 2011-06-11 09:48:14 EDT
Updating to rawhide as still a problem there. I wonder if something like orc could replace the asm for platform independence
Comment 4 Christophe Fergeau 2011-06-13 04:35:20 EDT
I made the x86 inline assembly in the spice module optional a while ago. But the other issues that Gert raised still remain (little-endian assumptions and atomic 64 bit ops assumptions).
Comment 5 Peter Robinson 2012-09-07 08:59:20 EDT
> the other issues that Gert raised still remain (little-endian assumptions
> and atomic 64 bit ops assumptions).

Neither of these are an issue for ARMv6+ as it supports atomics and little-endian.
Comment 6 Peter Robinson 2012-09-07 09:00:49 EDT
Created attachment 610711 [details]
Patch to configure.ac

The following patch enables it to build on ARM platforms that support atomics. Test build on on ARMv7.
Comment 7 Peter Robinson 2012-09-07 09:01:51 EDT
Created attachment 610712 [details]
Patch for spec

This patch adds support for building on supported ARM platforms and has a few minor cleanups too
Comment 8 Peter Robinson 2012-09-07 09:05:15 EDT
The above two patches applied I tried the build on armv7hl and tested the resulting binary on an ARMv7 device running Fedora 18. Using firefox connecting to a RHEV-M instance I could launch consoles in spice-xpi and login so basic support works!

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1123736

I'm not 100% sure the ARM directive is efficient as it could be. Platforms < ARMv6 don't support atomics.
Comment 9 DaGeek 2012-09-11 07:58:41 EDT
can this also be tested/built on Fedora17 ?
So that it can become available in the update repos before Fedora18 GA ?
Comment 10 Christophe Fergeau 2012-09-11 10:34:46 EDT
Patch is upstream http://cgit.freedesktop.org/spice/spice/commit/?id=07426f3c4ff05540263d8f27f92b3a5676e27f96 now
Comment 11 Hans de Goede 2012-09-28 05:14:07 EDT
(In reply to comment #7)
> Created attachment 610712 [details]
> Patch for spec
> 
> This patch adds support for building on supported ARM platforms and has a
> few minor cleanups too

I'm in the process of updating the Fedora spice packages to 0.12.0, which have the necessary
configure changes. I've added armv6l armv7l armv7hl to the arch whitelist for this version.
Comment 12 Peter Robinson 2012-09-30 03:18:51 EDT
This is now built for ARM on F-18. I need to tweak the ARM side so we can build on ARMv6 and hence possibly run it on Raspberry Pi and other ARMv6 class devices. 

Not sure if you want to keep this open so PPC can deal with their issues (if it will ever work there).
Comment 13 Hans de Goede 2012-09-30 05:18:56 EDT
(In reply to comment #12)
> Not sure if you want to keep this open so PPC can deal with their issues (if
> it will ever work there).

Yes the plan is to keep this open until all use of ExclusiveArch is gone.
Comment 14 Fedora Admin XMLRPC Client 2012-10-15 02:12:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Cole Robinson 2012-10-21 15:08:03 EDT
*** Bug 811030 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2013-04-03 14:36:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 17 Cole Robinson 2013-06-19 09:51:53 EDT
Realistically, are the rest of these issues fixable any time soon? KVM on PPC is getting a decent amount of attention now, as is Fedora PPC. We are going to have to switch virt-manager away from noarch just to handle the spice dep where it isn't available.
Comment 18 Christophe Fergeau 2013-06-19 11:32:03 EDT
There were some ppc patches on the list a while back, but they were never merged :( And this would need to be tested thoroughly...
Comment 19 Cole Robinson 2013-06-19 11:33:34 EDT
Whoops, I was wrong about the virt-manager noarch thing, since spice-gtk builds on all archs now.
Comment 20 Fedora Admin XMLRPC Client 2014-03-17 05:26:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Fedora End Of Life 2015-01-09 11:16:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2015-02-17 08:17:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.